Name:          glibd
Version:       2.4.3
Release:       2mamba
Summary:       D bindings for the GLib C Utility Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gtkd-developers/GlibD
Source:        https://github.com/gtkd-developers/GlibD.git/v%{version}/GlibD-%{version}.tar.bz2
Patch0:        glibd-2.4.2-glib-2.78.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libldc-devel
## AUTOBUILDREQ-END
BuildRequires: libldc-devel >= 1.37.0-1mamba
BuildRequires: girtod
BuildRequires: ldc
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
D bindings for the GLib C Utility Library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       D bindings for the GLib C Utility Library.

%description -n lib%{name}
D bindings for the GLib C Utility Library.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n GlibD-%{version}
#% patch 0 -p1 -b .glib-2.68

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libglibd-2.0.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/d/glibd-2
%dir %{_includedir}/d/glibd-2/gio
%{_includedir}/d/glibd-2/gio/*.d
%dir %{_includedir}/d/glibd-2/gio/c
%{_includedir}/d/glibd-2/gio/c/*.d
%dir %{_includedir}/d/glibd-2/glib
%{_includedir}/d/glibd-2/glib/*.d
%dir %{_includedir}/d/glibd-2/glib/c
%{_includedir}/d/glibd-2/glib/c/*.d
%dir %{_includedir}/d/glibd-2/gobject
%{_includedir}/d/glibd-2/gobject/*.d
%dir %{_includedir}/d/glibd-2/gobject/c
%{_includedir}/d/glibd-2/gobject/c/*.d
%dir %{_includedir}/d/glibd-2/gtkd
%{_includedir}/d/glibd-2/gtkd/*.d
%{_libdir}/libglibd-2.0.so
%{_libdir}/pkgconfig/glibd-2.0.pc
%doc README.md

%changelog
* Thu Mar 21 2024 Automatic Build System <autodist@mambasoft.it> 2.4.3-2mamba
- rebuilt by autoport with build requirements: libldc-devel>=1.37.0-1mamba

* Tue Feb 20 2024 Automatic Build System <autodist@openmamba.org> 2.4.3-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-2mamba
- rebuilt with ldc 1.35.0

* Mon May 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- update to 2.4.2
- rebuilt by autoport with build requirements: libldc-devel>=0:1.32.2-1mamba

* Sun Mar 12 2023 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Mon May 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- rebuilt with ldc 1.29.0

* Wed Nov 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- update to 2.3.0

* Thu Oct 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-3mamba
- rebuilt with ldc 1.23.0

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-2mamba
- rebuilt with libldc 1.21.0

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- package created using the webbuild interface
